package cv08.client;

import java.io.*;
import java.util.Scanner;

/**
 * @author Karel Cemus
 */
public class CommandReader implements Runnable {

    private final Scanner scanner;

    private final DataOutputStream stream;

    public CommandReader( InputStream commandInput, OutputStream commandOutput ) {
        scanner = new Scanner( commandInput );
        stream = new DataOutputStream( commandOutput );
    }

    @Override
    public void run() {

        System.out.println( "Zadejte svuj nickname" );
        String nick = scanner.next();
        send( "NICK " + nick );

        while ( scanner.hasNext() ) {

            // prikaz ke zpracovani
            String command = scanner.next().toUpperCase();

            String room;

            switch ( command ) {

                case "LIST":
                    send( "LIST" );
                    break;
                case "CREATE":
                    room = scanner.next();
                    send( "CREATE " + room );
                    break;
                case "ENTER":
                    room = scanner.next();
                    send( "ENTER " + room );
                    break;
                case "LEAVE":
                    room = scanner.next();
                    send( "LEAVE " + room );
                    break;
                case "SEND":
                    room = scanner.next();
                    String text = scanner.nextLine();
                    send( String.format( "SEND %s %s", room, text ) );
                default:
                    String line = scanner.nextLine();
                    send( String.format( "%s %s", command, line ) );
            }
        }
    }

    public void send( String command ) {
        try {
            stream.writeBytes( command );
            stream.writeByte( '\n' );
        } catch ( IOException e ) {
            System.out.println( "Prikaz se nepodarilo odeslat." );
        }
    }
}
