package cv08.server.action;

import cv08.server.Client;
import cv08.server.Room;

/**
 * Akce pro vstup do mistnosti
 *
 * @author Karel Cemus
 */
public class CreateRoomAction extends Action {

    private final String room;

    public CreateRoomAction( Client client, String room ) {
        super( client );
        this.room = room;
    }

    @Override
    public void execute() {
        // vytvorit mistnost
        if ( Room.createRoom( room ) )
            // upozornit klienta ze byla mistnost vytvorena
            client.send( "STATUS 04 Room created." );
        else
            client.send( "STATUS 05 Room already exists." );
    }
}
