package cv08.server.action;

import cv08.server.Client;
import cv08.server.Room;

/**
 * Akce pro vstup do mistnosti
 *
 * @author Karel Cemus
 */
public class EnterRoomAction extends Action {

    private final String room;

    public EnterRoomAction( Client client, String room ) {
        super( client );
        this.room = room;
    }

    @Override
    public void execute() {
        if ( Room.get( room ) == null ) {
            client.send( "ERR 02 Room does not exist." );
        } else {
            // zalogovat
            Room.get( room ).send( "System", client.getNickname() + " entered the room." );
            // pridat uzivatele do seznamu odberatelu
            Room.get( room ).enter( client );
            // upozornit klienta ze byl pridan
            client.enterRoom( Room.get( room ) );
        }
    }
}
