package cv08.server.action;

import cv08.server.Client;
import cv08.server.Room;

/**
 * Akce pro opusteni mistnosti
 *
 * @author Karel Cemus
 */
public class LeaveRoomAction extends Action {

    private final String room;

    public LeaveRoomAction( Client client, String room ) {
        super( client );
        this.room = room;
    }

    @Override
    public void execute() {
        if ( Room.get( room ) == null ) {
            client.send( "ERR 02 Room does not exist." );
        } else if ( !Room.get( room ).contains( client ) ) {
            client.send( "ERR 04 Sender is not in the room, cannot leave it." );
        } else {
            // odebrat uzivatele ze seznamu odberatelu
            Room.get( room ).leave( client );
            // upozornit klienta ze byl odebran
            client.leaveRoom( Room.get( room ) );
            // zalogovat
            Room.get( room ).send( "System", client.getNickname() + " left the room." );
        }
    }
}
